# ChatMarkerEvent class

Inheritance
  - Object
  - XmppEvent
  - ChatMarkerEvent

## Constructors

ChatMarkerEvent (JID from, ChatMarker type, String id)

## Properties

from → JID
  The entity that sent the chat marker.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
id → String
  The id of the message that the marker applies to.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
type → ChatMarker
  The type of chat marker that was sent.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited